Bug 1117672 - (CVE-2018-19497) VUL-1: CVE-2018-19497: sleuthkit: out of bounds read
(CVE-2018-19497)
VUL-1: CVE-2018-19497: sleuthkit: out of bounds read
Status: REOPENED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Greg Freemyer
Security Team bot
https://smash.suse.de/issue/219853/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-28 16:34 UTC by Marcus Meissner
Modified: 2020-01-16 14:56 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-11-28 16:34:29 UTC
CVE-2018-19497

An issue was discovered in The Sleuth Kit (TSK) through 4.6.4.
The "tsk_getu16(hfs->fs_info.endian, &rec_buf[rec_off2])" call in hfs_dir_open_meta_cb in
tsk/fs/hfs_dent.c does not properly check boundaries. This results in
a crash (SEGV on unknown address
READ memory access)
when reading too much in the destination buffer.

this is because the boundary check in hfs_traverse_cat wasn't done properly.

Kind Regards,

Jordy Zomer

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19497
https://github.com/sleuthkit/sleuthkit/pull/1374
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=914796
Comment 1 Tomáš Chvátal 2019-07-11 11:36:43 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 2 Marcus Meissner 2019-07-11 13:02:38 UTC
15.0 and 15.1 did not receive fixes yet
Comment 3 Wolfgang Frisch 2020-01-16 14:56:21 UTC
Not fixed in Leap 15.1 yet.